Frequently Asked Questions

BullGuard Support offers you a wealth of resources

Other

Is my device compatible with your software?

BullGuard Mobile Security is compatible with the following operating systems:

Android 2.0 and higher

Symbian Series 60 3rd and 5th ed. (version 9.2 and higher)

Windows Mobile 6.0, 6.1 and 6.5

BlackBerry 4.2 up to 6.0

 

Should you not know the exact operating system of your device, please open the www.bullguard.com/mobi webpage from your Mobile device. Your operating system will be automatically detected and the webpage will let you know if the it is compatible or not.

Should you require any further assistance you can browse through the rest of our FAQs here or click on the Get help button and start a LiveChat or send us an email.

We use cookies to ensure that we give you the best experience on our website. By continuing to browse, we are assuming that you have no objection in accepting cookies. You can change your cookie settings at any time.